#ifndef __LIBDW2PEL_H
#define __LIBDW2PEL_H

#include <graal_isolate.h>
          #include <dw_compiler.h>


#if defined(__cplusplus)
extern "C" {
#endif

void compile(graal_isolatethread_t*, char*, char*, char*, void *);

void compileSync(graal_isolatethread_t*, char*, char*, char*, compilation_result*);

void freeCompilationResult(graal_isolatethread_t*, compilation_result*);

void vmLocatorSymbol(graal_isolatethread_t* thread);

#if defined(__cplusplus)
}
#endif
#endif
